

%define _provides_exceptions \\devel(libGLX(64bit))
%define _requires_exceptions  \\devel(libGLX(64bit))

Name:           gstreamer1.0-vaapi
Version:        1.24.3
Release:        %mkrel 1
Summary:        A collection of VA-API based plugins for GStreamer and helper libraries
Group:          System/Libraries
License:        LGPLv2+ and GPLv2+
URL:            https://github.com/01org/gstreamer-vaapi
Source0:	    http://gstreamer.freedesktop.org/src/gstreamer-vaapi/gstreamer-vaapi-%{version}.tar.xz
BuildRequires:  yasm
BuildRequires:  mesa-devel
BuildRequires:  lib64x11-devel
BuildRequires:  lib64gstreamer1.0-devel
BuildRequires:  lib64gstreamer-plugins-base1.0-devel
BuildRequires:  lib64va-devel
BuildRequires:  lib64ffmpeg-devel
BuildRequires:  lib64gstreamer-plugins-bad1.0-devel
BuildRequires:  lib64xrandr2-devel

%description
Gstreamer-vaapi is a collection of VA-API based plugins for GStreamer
and helper libraries. vaapidecode is used to decode MPEG-2, MPEG-4,
H.264, VC-1, WMV3 videos to video/x-vaapi-surface surfaces, depending
on the underlying HW capabilities. vaapiconvert is used to convert from
video/x-raw-yuv pixels to video/x-vaapi-surface surfaces. vaapisink is
used to display video/x-vaapi-surface surfaces to the screen.

%prep
%setup -qn gstreamer-vaapi-%{version}


%build
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"
%meson 
%meson_build


%install
%meson_install

# drop plugin docs
rm -rf %{buildroot}/%{_datadir}/gtk-doc/

# we don't want these
find %{buildroot} -name "*.la" -delete

rm -rf %buildroot/%{_libdir}/gstreamer-1.0/pkgconfig/gstvaapi.pc

%files
%{_libdir}/gstreamer-1.0/libgstvaapi.so


%changelog
* Tue Apr 30 2024 tex - 1.24.3-1pclos2024
- new version

* Fri Apr 12 2024 tex - 1.24.2-1pclos2024
- new version

* Fri Mar 22 2024 tex - 1.24.1-1pclos2024
- new version

* Tue Mar 05 2024 tex - 1.24.0-1pclos2024
- new version

* Tue Feb 13 2024 tex - 1.22.10-1pclos2024
- new version

* Thu Jan 25 2024 tex - 1.22.9-1pclos2024
- new version

* Sat Jan 13 2024 tex - 1.22.8-2pclos2024
- rebuild against updates

* Mon Dec 18 2023 tex - 1.22.8-1pclos2023
- new version

* Tue Oct 10 2023 tex - 1.22.7-2pclos2023
- rebuild against updates

* Wed Sep 20 2023 tex - 1.22.7-1pclos2023
- new version

* Thu Jul 20 2023 tex - 1.22.5-1pclos2023
- new version

* Wed Jun 21 2023 tex - 1.22.4-1pclos2023
- new version

* Sun May 21 2023 tex - 1.22.3-1pclos2023
- new version

* Wed Apr 12 2023 tex - 1.22.2-1pclos2023
- new version

* Sat Mar 04 2023 tex - 1.22.1-1pclos2023
- new version

* Tue Jan 24 2023 tex - 1.22.0-1pclos2023
- new version

* Tue Dec 20 2022 tex - 1.20.5-1pclos2022
- new version

* Wed Oct 12 2022 tex - 1.20.4-1pclos2022
- new version

* Thu Jun 16 2022 tex - 1.20.3-1pclos2022
- new version

* Tue May 03 2022 tex - 1.20.2-1pclos2022
- new version

* Wed Mar 16 2022 tex - 1.20.1-1pclos2022
- new version

* Thu Feb 10 2022 tex - 1.20.0-1pclos2022
- new version

* Wed Feb 02 2022 tex - 1.18.6-1pclos2022
- new version

* Thu Sep 09 2021 tex - 1.18.5-1pclos2021
- new version

* Mon Mar 15 2021 tex - 1.18.4-1pclos2021
- new version

* Thu Jan 14 2021 tex - 1.18.3-1pclos2021
- new version

* Mon Dec 07 2020 tex - 1.18.2-1pclos2020
- new version

* Tue Oct 27 2020 tex - 1.18.1-1pclos2020
- new version

* Tue Sep 08 2020 tex - 1.18.0-1pclos2020
- new version

* Wed Dec 04 2019 tex - 1.18.0-1pclos2019
- new version

* Tue Sep 24 2019 tex - 1.18.0-1pclos2019
- new version

* Sun Apr 21 2019 tex - 1.16.0-1pclos2019
- new version

* Mon Mar 18 2019 tex - 1.15.2-1pclos2019
- new version

* Thu Jan 17 2019 tex - 1.15.1-1pclos2019
- new version

* Wed Oct 03 2018 tex - 1.14.4-1pclos2018
- new version

* Mon Sep 17 2018 tex - 1.14.3-1pclos2018
- new version

* Fri Jul 20 2018 tex - 1.14.2-1pclos2018
- new version

* Thu May 17 2018 tex - 1.14.1-1pclos2018
- new version

* Sat Mar 24 2018 bb2 <bb2> - 1.14.0-1pclos2018
- new version

* Sun Dec 17 2017 bb2 <bb2> - 1.12.4-1pclos2017
- new version

* Fri Oct 20 2017 bb2 <bb2> - 1.12.3-1pclos2017
- new version

* Wed Jul 19 2017 bb2 <bb2> - 1.12.2-1pclos2017
- new version

* Wed Jun 21 2017 bb2 <bb2> - 1.12.1-1pclos2017
- new version

* Thu May 04 2017 bb2 <bb2> - 1.12.0-1pclos2017
- new version

* Thu Feb 23 2017 bb2 <bb2> - 1.10.4-1pclos2017
- new version

* Mon Jan 30 2017 bb <bb> - 1.10.3-1pclos2017
- new version
